/*
 *  Sensoray S2250/S2251 video capturer
 *  Author: Andrey Nechypurenko (andreynech@gmail.com)
 */
#ifndef __CAPTURERTHREAD_H
#define __CAPTURERTHREAD_H

#include <QThread>
#include "sraymid.h"

class VideoFrame;

class CapturerThread : public QThread
{
 Q_OBJECT

 public:
  CapturerThread(VideoFrame *vf);
 ~CapturerThread();

 public:
  virtual void run();
  void shouldStop();

 signals:
  void setupTex();
  void newFrame();
  void error(QString msg);

 private:
  struct buffer
  {
    void *start;
    size_t length;
  };

  void errno_string(int errorcode, 
                    const QString &context, 
                    QString &strerr) const;
  int getFrameWidth();
  int getFrameHeight();
  int readFrame();

  bool should_stop;
  VideoFrame *videoframe;
  int boardnum;
  MIDSRAY_ENCODING encode;
  int size;
  MIDSRAY_VIDSYS vidsys;
  int bitrate;
  int iframesonly;
  buffer *buffers;
  unsigned int n_buffers;
};


#endif // __CAPTURERTHREAD_H
