/**
 * Wrapper around xvid mpeg decoder
 * Author: Andrey Nechypurenko (andreynech@gmail.com)
 */

#ifndef __DECODER_H
#define __DECODER_H

#include <xvid.h>
#include <sys/types.h>


class Decoder
{
 public:

  Decoder(int frame_w, int frame_h, const char *codec_name);
  virtual ~Decoder();

 public:

  int decode(unsigned char *frames,
             size_t size,
             unsigned char **picture, 
             int *got_picture);

 protected:
  int dec_init(int use_assembler = 1);

 protected:
  int width;
  int height;
  void *dec_handle;
  unsigned char *out_buffer;
};

#endif //__DECODER_H
