/**
 * Main player window
 * Author: Andrey Nechypurenko (andreynech@gmail.com)
 */

#ifndef __PLAYER_H
#define __PLAYER_H

#include "ui_player.h"
#include "GLWidget.h"
#include "VideoFrame.h"
#include "CapturerThread.h"


class Player : public QWidget
{
 Q_OBJECT

 public:
  Player();

 protected:
  virtual void resizeEvent(QResizeEvent *event);

 protected slots:
  void playStartStop();
  void setupTex();
  void newFrame();
  void showErrMsg(QString msg);

 private:
  Ui::player controls;
  GLWidget *glwidget;
  VideoFrame videoframe;
  CapturerThread capturer;
};

#endif // __PLAYER_H
