/**
 * Data structure to share decoded frame data between UI and 
 * capturer/decoder thread.
 * Author: Andrey Nechypurenko (andreynech@gmail.com)
 */

#ifndef __VIDEOFRAME_H
#define __VIDEOFRAME_H

#include <QMutex>


class VideoFrame
{
 public:
  VideoFrame() : 
    width(0),
    height(0),
    texwidth(0),
    texheight(0),
    texdata(NULL) {}

  ~VideoFrame()
    {
      if(texdata) delete texdata;
    }

 public:
  size_t width;
  size_t height;
  size_t texwidth;
  size_t texheight;
  unsigned char *texdata;
  QMutex mutex;
};


#endif // __VIDEOFRAME_H
