/**
 * Function to convert YUV to RGB. 
 * Author: not me :-) . I found this code somewhere in internet quite 
 * some time ago but can not remember where exactly.
 */

#ifndef __YUV2RGB_H
#define __YUV2RGB_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/**
 * Function to convert YUV420 images to RGB32
 * RGB32: 0xFFRRGGBB
 * This function uses precalculated tables that are initialized
 * on the first run.
 * Make sure the src and dest buffers have enough room
 * dest should be width * height * 4 bytes in size
 * Based on the formulas found at http://en.wikipedia.org/wiki/YUV
 */
void YUV420_to_RGB32(int width, int height, char *src, char *dest);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __YUV2RGB_H */
